Journal¶
Search Journals¶
HTTP Request
POST /api/v1/journals/payments/{principalPositionType}/{unitId}/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
none |
unitId |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "displayIdIn": [
16 "string"
17 ],
18 "displayIdLike": "string",
19 "typeEqual": "PAYMENT",
20 "unitIdIn": [
21 0
22 ],
23 "periodIdIn": [
24 0
25 ]
26}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "type": "PAYMENT",
6 "date": {
7 "timing": "START_OF_DAY",
8 "year": 2025,
9 "monthValue": 9,
10 "dayOfMonth": 4,
11 "dayOfWeek": "THURSDAY",
12 "leapYear": false,
13 "dayOfYear": 247,
14 "month": "SEPTEMBER"
15 },
16 "unitId": 0,
17 "periodId": 0,
18 "document": {
19 "id": 0,
20 "displayId": "string",
21 "accountingDocumentId": 0,
22 "lastAccountingDocumentId": 0,
23 "activationGroupId": 0,
24 "accountingStandardId": 0,
25 "unitId": 0,
26 "journalId": 0,
27 "entries": [
28 {
29 "id": 0,
30 "applicationReferenceId": "string",
31 "type": "LIABILITY",
32 "postingTransactionType": "POST",
33 "internalPostingStatus": {
34 "documentNumber": "string",
35 "status": "NA",
36 "postingMessage": "string"
37 },
38 "originalPostingTransactionType": "POST",
39 "originalPostingStatus": "NA"
40 }
41 ],
42 "operationalPostingTaskId": 0,
43 "numberRangeIdentifierType": {
44 "name": "COMPANY_CODE"
45 },
46 "numberRangeIdentifierValue": "string",
47 "numberRangeType": {
48 "name": "CONTRACT"
49 },
50 "allowsSystemGenerateNewId": true
51 },
52 "entries": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "type": "LIABILITY",
57 "translationType": "NONE",
58 "note": "string",
59 "balanced": true,
60 "credits": 0,
61 "debits": 0,
62 "journalId": 0,
63 "lines": [
64 {
65 "id": 0,
66 "displayId": "string",
67 "account": "string",
68 "accountCodeName": "string",
69 "accountCodeCaption": "string",
70 "drCr": "DEBIT",
71 "amount": 0,
72 "unroundedAmount": 0,
73 "deltaAdjustment": 0,
74 "tag": "string",
75 "vendorId": "string",
76 "currencyId": 0,
77 "currencyDisplayId": "string",
78 "currencyDefinitionType": "CONTRACT_CURRENCY",
79 "leaseClassificationType": "NON_LEASE",
80 "journalEntryId": 0,
81 "taxes": [
82 {
83 "id": 0,
84 "displayId": "string",
85 "taxCalculationType": "NET",
86 "taxDetermination": {
87 "id": "string",
88 "displayId": "Euro"
89 },
90 "taxExempt": 0,
91 "taxExemptionPercentage": 0,
92 "taxAffected": 0,
93 "unitId": 0,
94 "termId": 0,
95 "type": "PAYMENT",
96 "journalEntryLineId": 0,
97 "expenseCategory": {
98 "id": 101,
99 "displayId": "EC-2025-001",
100 "status": {
101 "name": "ACTIVE",
102 "captionKey": "enum.objectStatus.active",
103 "active": true,
104 "caption": "Active"
105 },
106 "name": "Lease Payment",
107 "expenseCategoryType": "PAYMENT"
108 },
109 "taxItems": [
110 {
111 "id": 0,
112 "displayId": "string",
113 "account": "string",
114 "accountCodeName": "string",
115 "accountCodeCaption": "string",
116 "drCr": "DEBIT",
117 "amount": 0,
118 "unroundedAmount": 0,
119 "deltaAdjustment": 0,
120 "cid": "string",
121 "journalEntryLineId": 0,
122 "translations": [],
123 "journalTaxDetail": {},
124 "numberRangeIdentifierType": {},
125 "numberRangeIdentifierValue": "string",
126 "numberRangeType": {},
127 "allowsSystemGenerateNewId": true
128 }
129 ],
130 "numberRangeIdentifierType": {
131 "name": "COMPANY_CODE"
132 },
133 "numberRangeIdentifierValue": "string",
134 "numberRangeType": {
135 "name": "CONTRACT"
136 },
137 "allowsSystemGenerateNewId": true
138 }
139 ],
140 "translations": [
141 {
142 "id": 0,
143 "displayId": "string",
144 "drCr": "DEBIT",
145 "amount": 0,
146 "unroundedAmount": 0,
147 "deltaAdjustment": 0,
148 "translationRate": 0,
149 "translationDateTime": "2019-08-24",
150 "sourceCurrencyId": 0,
151 "sourceCurrencyDisplayId": "string",
152 "targetCurrencyId": 0,
153 "targetCurrencyDisplayId": "string",
154 "sourceCurrencyType": "CONTRACT_CURRENCY",
155 "translationDateType": "DOCUMENT_DATE",
156 "currencyDefinitionType": "CONTRACT_CURRENCY",
157 "depreciationAreaId": 0,
158 "depreciationAreaDisplayId": "string",
159 "unitId": 0,
160 "journalEntryLineId": 0,
161 "taxItemCid": "string",
162 "numberRangeIdentifierType": {
163 "name": "COMPANY_CODE"
164 },
165 "numberRangeIdentifierValue": "string",
166 "numberRangeType": {
167 "name": "CONTRACT"
168 },
169 "allowsSystemGenerateNewId": true
170 }
171 ],
172 "numberRangeIdentifierType": {
173 "name": "COMPANY_CODE"
174 },
175 "numberRangeIdentifierValue": "string",
176 "numberRangeType": {
177 "name": "CONTRACT"
178 },
179 "allowsSystemGenerateNewId": true
180 }
181 ],
182 "numberRangeIdentifierType": {
183 "name": "COMPANY_CODE"
184 },
185 "numberRangeIdentifierValue": "string",
186 "numberRangeType": {
187 "name": "CONTRACT"
188 },
189 "allowsSystemGenerateNewId": true
190 }
191 ],
192 "numberRangeIdentifierType": {
193 "name": "COMPANY_CODE"
194 },
195 "numberRangeIdentifierValue": "string",
196 "numberRangeType": {
197 "name": "CONTRACT"
198 },
199 "allowsSystemGenerateNewId": true
200 }
201]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» id |
integer(int64) |
false |
none |
none |
» displayId |
string |
false |
none |
none |
» type |
string |
false |
none |
none |
» date |
false |
none |
Represents a specific calendar date and timing information, including day, month, year, and day-of-week metadata. |
|
»» timing |
string |
false |
none |
Specifies the general timing reference of the day. |
»» year |
integer(int32) |
false |
none |
The year component of the date. |
»» monthValue |
integer(int32) |
false |
none |
The numeric value of the month (1 = January, 12 = December). |
»» dayOfMonth |
integer(int32) |
false |
none |
The day of the month. |
»» dayOfWeek |
string |
false |
none |
The day of the week. |
»» leapYear |
boolean |
false |
none |
Indicates whether the given year is a leap year. |
»» dayOfYear |
integer(int32) |
false |
none |
The day number within the year (1-365 or 366 in a leap year). |
»» month |
string |
false |
none |
The name of the month. |
» unitId |
integer(int64) |
false |
none |
none |
» periodId |
integer(int64) |
false |
none |
none |
» document |
false |
none |
none |
|
»» id |
integer(int64) |
false |
none |
none |
»» displayId |
string |
false |
none |
none |
»» accountingDocumentId |
integer(int64) |
false |
none |
none |
»» lastAccountingDocumentId |
integer(int64) |
false |
none |
none |
»» activationGroupId |
integer(int64) |
false |
none |
none |
»» accountingStandardId |
integer(int64) |
true |
none |
none |
»» unitId |
integer(int64) |
true |
none |
none |
»» journalId |
integer(int64) |
true |
none |
none |
»» entries |
false |
none |
none |
|
»»» id |
integer(int64) |
false |
none |
none |
»»» applicationReferenceId |
string |
false |
none |
none |
»»» type |
string |
false |
none |
none |
»»» postingTransactionType |
string |
false |
none |
none |
»»» internalPostingStatus |
false |
none |
none |
|
»»»» documentNumber |
string |
false |
none |
none |
»»»» status |
string |
false |
none |
none |
»»»» postingMessage |
string |
false |
none |
none |
»»» originalPostingTransactionType |
string |
false |
none |
none |
»»» originalPostingStatus |
string |
false |
none |
none |
»» operationalPostingTaskId |
integer(int64) |
false |
none |
none |
»» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
»»» name |
string |
true |
none |
Name of the number range identifier type. |
»» numberRangeIdentifierValue |
string |
false |
none |
none |
»» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
»»» name |
string |
true |
none |
Name of the number range type. |
»» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
» entries |
false |
none |
none |
|
»» id |
integer(int64) |
false |
none |
none |
»» displayId |
string |
false |
none |
none |
»» type |
string |
false |
none |
none |
»» translationType |
string |
false |
none |
none |
»» note |
string |
false |
none |
none |
»» balanced |
boolean |
false |
none |
none |
»» credits |
number |
false |
none |
none |
»» debits |
number |
false |
none |
none |
»» journalId |
integer(int64) |
false |
none |
none |
»» lines |
false |
none |
none |
|
»»» id |
integer(int64) |
false |
none |
none |
»»» displayId |
string |
false |
none |
none |
»»» account |
string |
false |
none |
none |
»»» accountCodeName |
string |
false |
none |
none |
»»» accountCodeCaption |
string |
false |
none |
none |
»»» drCr |
string |
false |
none |
none |
»»» amount |
number |
false |
none |
none |
»»» unroundedAmount |
number |
false |
none |
none |
»»» deltaAdjustment |
number |
false |
none |
none |
»»» tag |
string |
false |
none |
none |
»»» vendorId |
string |
false |
none |
none |
»»» currencyId |
integer(int64) |
false |
none |
none |
»»» currencyDisplayId |
string |
false |
none |
none |
»»» currencyDefinitionType |
string |
false |
none |
none |
»»» leaseClassificationType |
string |
false |
none |
none |
»»» journalEntryId |
integer(int64) |
false |
none |
none |
»»» taxes |
false |
none |
none |
|
»»»» id |
integer(int64) |
false |
none |
none |
»»»» displayId |
string |
false |
none |
none |
»»»» taxCalculationType |
string |
false |
none |
none |
»»»» taxDetermination |
false |
none |
Basic identifier object containing ID and display information. |
|
»»»»» id |
string(int64) |
false |
none |
Unique identifier of the entity. |
»»»»» displayId |
string |
false |
none |
Display identifier of the entity. |
»»»» taxExempt |
number |
false |
none |
none |
»»»» taxExemptionPercentage |
number |
false |
none |
none |
»»»» taxAffected |
number |
false |
none |
none |
»»»» unitId |
integer(int64) |
false |
none |
none |
»»»» termId |
integer(int64) |
false |
none |
none |
»»»» type |
string |
false |
none |
none |
»»»» journalEntryLineId |
integer(int64) |
false |
none |
none |
»»»» expenseCategory |
false |
none |
Represents a simplified expense category with essential details such as ID, status, name, and category type. |
|
»»»»» id |
integer(int64) |
false |
none |
Unique identifier of the expense category. |
»»»»» displayId |
string |
false |
none |
Display identifier of the expense category, typically used in UIs. |
»»»»» status |
false |
none |
Represents the object status with localized captions and activity state. |
|
»»»»»» name |
string |
false |
none |
Enum name representing the object status. |
»»»»»» captionKey |
string |
false |
none |
Localization key for the object status caption. |
»»»»»» active |
boolean |
false |
none |
Indicates whether the status is active. |
»»»»»» caption |
string |
false |
none |
Localized caption of the object status. |
»»»»» name |
string |
false |
none |
Human-readable name of the expense category. |
»»»»» expenseCategoryType |
string |
false |
none |
Defines the type of expense category. |
»»»» taxItems |
false |
none |
none |
|
»»»»» id |
integer(int64) |
false |
none |
none |
»»»»» displayId |
string |
false |
none |
none |
»»»»» account |
string |
false |
none |
none |
»»»»» accountCodeName |
string |
false |
none |
none |
»»»»» accountCodeCaption |
string |
false |
none |
none |
»»»»» drCr |
string |
false |
none |
none |
»»»»» amount |
number |
false |
none |
none |
»»»»» unroundedAmount |
number |
false |
none |
none |
»»»»» deltaAdjustment |
number |
false |
none |
none |
»»»»» cid |
string |
false |
none |
none |
»»»»» journalEntryLineId |
integer(int64) |
false |
none |
none |
»»»»» translations |
false |
none |
none |
|
»»»»»» id |
integer(int64) |
false |
none |
none |
»»»»»» displayId |
string |
false |
none |
none |
»»»»»» drCr |
string |
false |
none |
none |
»»»»»» amount |
number |
false |
none |
none |
»»»»»» unroundedAmount |
number |
false |
none |
none |
»»»»»» deltaAdjustment |
number |
false |
none |
none |
»»»»»» translationRate |
number |
false |
none |
none |
»»»»»» translationDateTime |
string(date) |
false |
none |
none |
»»»»»» sourceCurrencyId |
integer(int64) |
false |
none |
none |
»»»»»» sourceCurrencyDisplayId |
string |
false |
none |
none |
»»»»»» targetCurrencyId |
integer(int64) |
false |
none |
none |
»»»»»» targetCurrencyDisplayId |
string |
false |
none |
none |
»»»»»» sourceCurrencyType |
string |
false |
none |
none |
»»»»»» translationDateType |
string |
false |
none |
none |
»»»»»» currencyDefinitionType |
string |
false |
none |
none |
»»»»»» depreciationAreaId |
integer(int64) |
false |
none |
none |
»»»»»» depreciationAreaDisplayId |
string |
false |
none |
none |
»»»»»» unitId |
integer(int64) |
false |
none |
none |
»»»»»» journalEntryLineId |
integer(int64) |
false |
none |
none |
»»»»»» taxItemCid |
string |
false |
none |
none |
»»»»»» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
»»»»»» numberRangeIdentifierValue |
string |
false |
none |
none |
»»»»»» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
»»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
»»»»» journalTaxDetail |
false |
none |
none |
|
»»»»»» id |
integer(int64) |
false |
none |
none |
»»»»»» displayId |
string |
false |
none |
none |
»»»»»» taxAmount |
number |
false |
none |
none |
»»»»»» taxBaseAmount |
number |
false |
none |
none |
»»»»»» totalTaxDocumentAmount |
number |
false |
none |
none |
»»»»»» taxRate |
number |
false |
none |
none |
»»»»»» taxAccount |
string |
false |
none |
none |
»»»»»» accountingKey |
string |
false |
none |
none |
»»»»»» conditionKey |
string |
false |
none |
none |
»»»»»» taxCodeId |
integer(int64) |
false |
none |
none |
»»»»»» taxCodeDisplayId |
string |
false |
none |
none |
»»»»»» taxJurisdictionId |
integer(int64) |
false |
none |
none |
»»»»»» taxJurisdictionDisplayId |
string |
false |
none |
none |
»»»»»» contractCurrencyId |
integer(int64) |
false |
none |
none |
»»»»»» contractCurrencyDisplayId |
string |
false |
none |
none |
»»»»»» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
»»»»»» numberRangeIdentifierValue |
string |
false |
none |
none |
»»»»»» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
»»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
»»»»» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
»»»»» numberRangeIdentifierValue |
string |
false |
none |
none |
»»»»» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
»»»» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
»»»» numberRangeIdentifierValue |
string |
false |
none |
none |
»»»» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
»»» translations |
false |
none |
none |
|
»»» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
»»» numberRangeIdentifierValue |
string |
false |
none |
none |
»»» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
»»» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
»» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
»» numberRangeIdentifierValue |
string |
false |
none |
none |
»» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
»» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
» numberRangeIdentifierType |
false |
none |
Represents a number range identifier type associated with number range types. |
|
» numberRangeIdentifierValue |
string |
false |
none |
none |
» numberRangeType |
false |
none |
Represents a number range type with its name and related configuration. |
|
» allowsSystemGenerateNewId |
boolean |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
currencyDefinitionType |
COMPANY_CURRENCY, CONTRACT_CURRENCY, MONTH_END_CURRENCY, REPORTING_CURRENCY, SECOND_LOCAL_CURRENCY, THIRD_LOCAL_CURRENCY |
dayOfWeek |
FRIDAY, MONDAY, SATURDAY, SUNDAY, THURSDAY, TUESDAY, WEDNESDAY |
drCr |
CREDIT, DEBIT |
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
leaseClassificationType |
DIRECT_FINANCING, FINANCE, LOW_VALUE, NON_LEASE, OPERATING, PROVISIONING, SALES_TYPE, SERVICE_CONTRACT, SHORT_TERM |
month |
APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE, MARCH, MAY, NOVEMBER, OCTOBER, SEPTEMBER |
name |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
originalPostingStatus |
ARCHIVED, DONE, FAILED, OPEN, PROCESSING, SCHEDULED, nan |
originalPostingTransactionType |
POST, REVERSE |
postingTransactionType |
POST, REVERSE |
sourceCurrencyType |
COMPANY_CURRENCY, CONTRACT_CURRENCY, N_A |
status |
ARCHIVED, DONE, FAILED, OPEN, PROCESSING, SCHEDULED, nan |
taxCalculationType |
NET |
timing |
END_OF_DAY, START_OF_DAY |
translationDateType |
DOCUMENT_DATE, POSTING_DATE, TRANSLATION_DATE, nan |
translationType |
NONE, SPOT_RATE, WAE_RATE |
type |
ACCRUAL, ASSET_CAPITALIZATION, CHARGE, CLEARING, DEPRECIATION, GRV, HISTORY, IDC, IMPAIRMENT, INCENTIVE, LIABILITY, LIABILITY_ADJUSTMENT, LIABILITY_ADJUSTMENT_DECREASE, LIABILITY_ADJUSTMENT_INCREASE, LIABILITY_ADJUSTMENT_INDEXATION_DECREASE, LIABILITY_ADJUSTMENT_INDEXATION_INCREASE, MODIFICATION_CAPITALIZATION, MODIFICATION_CAPITALIZATION_ASSET_DECREASE, MODIFICATION_CAPITALIZATION_ASSET_INCREASE, MODIFICATION_CAPITALIZATION_INDEXATION_ASSET_DECREASE, MODIFICATION_CAPITALIZATION_INDEXATION_ASSET_INCREASE, NET_LEASE_INVESTMENT, NET_LEASE_INVESTMENT_ADJUSTMENT, PAYMENT, PREPAID, PROVISIONING, RECLASSIFICATION_ASSET_TRANSFER, RECLASSIFICATION_NON_ASSET_TRANSFER, RECOGNITION, TERMINATION, TERMINATION_ASSET, TERMINATION_CLOSED_LEDGER, TERMINATION_LIABILITY, TERMINATION_ROUNDING, URV, VOUCHER |
Calculate Tax¶
HTTP Request
POST /api/v1/journals/calculate-tax
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "activationGroupRevisionId": 0,
3 "journalId": 0,
4 "journalType": "PAYMENT",
5 "unitId": 0,
6 "postingDate": "2019-08-24",
7 "documentDate": "2019-08-24",
8 "principalPositionType": "LESSEE"
9}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "success": true,
3 "message": "string",
4 "journalDto": {
5 "id": 0,
6 "displayId": "string",
7 "type": "PAYMENT",
8 "date": {
9 "timing": "START_OF_DAY",
10 "year": 2025,
11 "monthValue": 9,
12 "dayOfMonth": 4,
13 "dayOfWeek": "THURSDAY",
14 "leapYear": false,
15 "dayOfYear": 247,
16 "month": "SEPTEMBER"
17 },
18 "unitId": 0,
19 "periodId": 0,
20 "document": {
21 "id": 0,
22 "displayId": "string",
23 "accountingDocumentId": 0,
24 "lastAccountingDocumentId": 0,
25 "activationGroupId": 0,
26 "accountingStandardId": 0,
27 "unitId": 0,
28 "journalId": 0,
29 "entries": [
30 {
31 "id": 0,
32 "applicationReferenceId": "string",
33 "type": "LIABILITY",
34 "postingTransactionType": "POST",
35 "internalPostingStatus": {
36 "documentNumber": "string",
37 "status": "NA",
38 "postingMessage": "string"
39 },
40 "originalPostingTransactionType": "POST",
41 "originalPostingStatus": "NA"
42 }
43 ],
44 "operationalPostingTaskId": 0,
45 "numberRangeIdentifierType": {
46 "name": "COMPANY_CODE"
47 },
48 "numberRangeIdentifierValue": "string",
49 "numberRangeType": {
50 "name": "CONTRACT"
51 },
52 "allowsSystemGenerateNewId": true
53 },
54 "entries": [
55 {
56 "id": 0,
57 "displayId": "string",
58 "type": "LIABILITY",
59 "translationType": "NONE",
60 "note": "string",
61 "balanced": true,
62 "credits": 0,
63 "debits": 0,
64 "journalId": 0,
65 "lines": [
66 {
67 "id": 0,
68 "displayId": "string",
69 "account": "string",
70 "accountCodeName": "string",
71 "accountCodeCaption": "string",
72 "drCr": "DEBIT",
73 "amount": 0,
74 "unroundedAmount": 0,
75 "deltaAdjustment": 0,
76 "tag": "string",
77 "vendorId": "string",
78 "currencyId": 0,
79 "currencyDisplayId": "string",
80 "currencyDefinitionType": "CONTRACT_CURRENCY",
81 "leaseClassificationType": "NON_LEASE",
82 "journalEntryId": 0,
83 "taxes": [
84 {
85 "id": 0,
86 "displayId": "string",
87 "taxCalculationType": "NET",
88 "taxDetermination": {
89 "id": "string",
90 "displayId": "Euro"
91 },
92 "taxExempt": 0,
93 "taxExemptionPercentage": 0,
94 "taxAffected": 0,
95 "unitId": 0,
96 "termId": 0,
97 "type": "PAYMENT",
98 "journalEntryLineId": 0,
99 "expenseCategory": {
100 "id": 101,
101 "displayId": "EC-2025-001",
102 "status": {
103 "name": "ACTIVE",
104 "captionKey": "enum.objectStatus.active",
105 "active": true,
106 "caption": "Active"
107 },
108 "name": "Lease Payment",
109 "expenseCategoryType": "PAYMENT"
110 },
111 "taxItems": [
112 {
113 "id": 0,
114 "displayId": "string",
115 "account": "string",
116 "accountCodeName": "string",
117 "accountCodeCaption": "string",
118 "drCr": "DEBIT",
119 "amount": 0,
120 "unroundedAmount": 0,
121 "deltaAdjustment": 0,
122 "cid": "string",
123 "journalEntryLineId": 0,
124 "translations": [],
125 "journalTaxDetail": {},
126 "numberRangeIdentifierType": {},
127 "numberRangeIdentifierValue": "string",
128 "numberRangeType": {},
129 "allowsSystemGenerateNewId": true
130 }
131 ],
132 "numberRangeIdentifierType": {
133 "name": "COMPANY_CODE"
134 },
135 "numberRangeIdentifierValue": "string",
136 "numberRangeType": {
137 "name": "CONTRACT"
138 },
139 "allowsSystemGenerateNewId": true
140 }
141 ],
142 "translations": [
143 {
144 "id": 0,
145 "displayId": "string",
146 "drCr": "DEBIT",
147 "amount": 0,
148 "unroundedAmount": 0,
149 "deltaAdjustment": 0,
150 "translationRate": 0,
151 "translationDateTime": "2019-08-24",
152 "sourceCurrencyId": 0,
153 "sourceCurrencyDisplayId": "string",
154 "targetCurrencyId": 0,
155 "targetCurrencyDisplayId": "string",
156 "sourceCurrencyType": "CONTRACT_CURRENCY",
157 "translationDateType": "DOCUMENT_DATE",
158 "currencyDefinitionType": "CONTRACT_CURRENCY",
159 "depreciationAreaId": 0,
160 "depreciationAreaDisplayId": "string",
161 "unitId": 0,
162 "journalEntryLineId": 0,
163 "taxItemCid": "string",
164 "numberRangeIdentifierType": {
165 "name": "COMPANY_CODE"
166 },
167 "numberRangeIdentifierValue": "string",
168 "numberRangeType": {
169 "name": "CONTRACT"
170 },
171 "allowsSystemGenerateNewId": true
172 }
173 ],
174 "numberRangeIdentifierType": {
175 "name": "COMPANY_CODE"
176 },
177 "numberRangeIdentifierValue": "string",
178 "numberRangeType": {
179 "name": "CONTRACT"
180 },
181 "allowsSystemGenerateNewId": true
182 }
183 ],
184 "numberRangeIdentifierType": {
185 "name": "COMPANY_CODE"
186 },
187 "numberRangeIdentifierValue": "string",
188 "numberRangeType": {
189 "name": "CONTRACT"
190 },
191 "allowsSystemGenerateNewId": true
192 }
193 ],
194 "numberRangeIdentifierType": {
195 "name": "COMPANY_CODE"
196 },
197 "numberRangeIdentifierValue": "string",
198 "numberRangeType": {
199 "name": "CONTRACT"
200 },
201 "allowsSystemGenerateNewId": true
202 }
203}
Calculate Currency¶
HTTP Request
POST /api/v1/journals/calculate-currency
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "activationGroupRevisionId": 0,
3 "journalId": 0,
4 "unitId": 0,
5 "postingDate": "2019-08-24",
6 "documentDate": "2019-08-24",
7 "principalPositionType": "LESSEE"
8}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "success": true,
3 "message": "string"
4}
Get¶
HTTP Request
GET /api/v1/journals/{principalPositionType}/{journalId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
none |
journalId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "type": "PAYMENT",
18 "date": {
19 "timing": "START_OF_DAY",
20 "year": 2025,
21 "monthValue": 9,
22 "dayOfMonth": 4,
23 "dayOfWeek": "THURSDAY",
24 "leapYear": false,
25 "dayOfYear": 247,
26 "month": "SEPTEMBER"
27 },
28 "entries": [
29 {
30 "id": 0,
31 "displayId": "string",
32 "type": "LIABILITY",
33 "translationType": "NONE",
34 "note": "string",
35 "balanced": true,
36 "credits": 0,
37 "debits": 0,
38 "exchangeRate": 0,
39 "journalId": 0,
40 "lines": [
41 {
42 "id": 0,
43 "displayId": "string",
44 "account": "string",
45 "accountCodeName": "string",
46 "accountCodeCaption": "string",
47 "drCr": "DEBIT",
48 "amount": 0,
49 "unroundedAmount": 0,
50 "deltaAdjustment": 0,
51 "tag": "string",
52 "vendorId": "string",
53 "currencyId": 0,
54 "currencyDisplayId": "string",
55 "currencyDefinitionType": "CONTRACT_CURRENCY",
56 "leaseClassificationType": "NON_LEASE",
57 "journalEntryId": 0,
58 "numberRangeIdentifierType": {
59 "name": "COMPANY_CODE"
60 },
61 "numberRangeIdentifierValue": "string",
62 "numberRangeType": {
63 "name": "CONTRACT"
64 },
65 "allowsSystemGenerateNewId": true
66 }
67 ],
68 "numberRangeIdentifierType": {
69 "name": "COMPANY_CODE"
70 },
71 "numberRangeIdentifierValue": "string",
72 "numberRangeType": {
73 "name": "CONTRACT"
74 },
75 "allowsSystemGenerateNewId": true
76 }
77 ],
78 "numberRangeIdentifierType": {
79 "name": "COMPANY_CODE"
80 },
81 "numberRangeIdentifierValue": "string",
82 "numberRangeType": {
83 "name": "CONTRACT"
84 },
85 "allowsSystemGenerateNewId": true
86 }
87}
Get¶
HTTP Request
GET /api/v1/journals/{principalPositionType}/{journalId}/{unitId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
none |
journalId |
path |
integer(int64) |
true |
none |
unitId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "type": "PAYMENT",
18 "date": {
19 "timing": "START_OF_DAY",
20 "year": 2025,
21 "monthValue": 9,
22 "dayOfMonth": 4,
23 "dayOfWeek": "THURSDAY",
24 "leapYear": false,
25 "dayOfYear": 247,
26 "month": "SEPTEMBER"
27 },
28 "unitId": 0,
29 "periodId": 0,
30 "document": {
31 "id": 0,
32 "displayId": "string",
33 "accountingDocumentId": 0,
34 "lastAccountingDocumentId": 0,
35 "activationGroupId": 0,
36 "accountingStandardId": 0,
37 "unitId": 0,
38 "journalId": 0,
39 "entries": [
40 {
41 "id": 0,
42 "applicationReferenceId": "string",
43 "type": "LIABILITY",
44 "postingTransactionType": "POST",
45 "internalPostingStatus": {
46 "documentNumber": "string",
47 "status": "NA",
48 "postingMessage": "string"
49 },
50 "originalPostingTransactionType": "POST",
51 "originalPostingStatus": "NA"
52 }
53 ],
54 "operationalPostingTaskId": 0,
55 "numberRangeIdentifierType": {
56 "name": "COMPANY_CODE"
57 },
58 "numberRangeIdentifierValue": "string",
59 "numberRangeType": {
60 "name": "CONTRACT"
61 },
62 "allowsSystemGenerateNewId": true
63 },
64 "entries": [
65 {
66 "id": 0,
67 "displayId": "string",
68 "type": "LIABILITY",
69 "translationType": "NONE",
70 "note": "string",
71 "balanced": true,
72 "credits": 0,
73 "debits": 0,
74 "journalId": 0,
75 "lines": [
76 {
77 "id": 0,
78 "displayId": "string",
79 "account": "string",
80 "accountCodeName": "string",
81 "accountCodeCaption": "string",
82 "drCr": "DEBIT",
83 "amount": 0,
84 "unroundedAmount": 0,
85 "deltaAdjustment": 0,
86 "tag": "string",
87 "vendorId": "string",
88 "currencyId": 0,
89 "currencyDisplayId": "string",
90 "currencyDefinitionType": "CONTRACT_CURRENCY",
91 "leaseClassificationType": "NON_LEASE",
92 "journalEntryId": 0,
93 "taxes": [
94 {
95 "id": 0,
96 "displayId": "string",
97 "taxCalculationType": "NET",
98 "taxDetermination": {
99 "id": "string",
100 "displayId": "Euro"
101 },
102 "taxExempt": 0,
103 "taxExemptionPercentage": 0,
104 "taxAffected": 0,
105 "unitId": 0,
106 "termId": 0,
107 "type": "PAYMENT",
108 "journalEntryLineId": 0,
109 "expenseCategory": {
110 "id": 101,
111 "displayId": "EC-2025-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "Lease Payment",
119 "expenseCategoryType": "PAYMENT"
120 },
121 "taxItems": [
122 {
123 "id": 0,
124 "displayId": "string",
125 "account": "string",
126 "accountCodeName": "string",
127 "accountCodeCaption": "string",
128 "drCr": "DEBIT",
129 "amount": 0,
130 "unroundedAmount": 0,
131 "deltaAdjustment": 0,
132 "cid": "string",
133 "journalEntryLineId": 0,
134 "translations": [],
135 "journalTaxDetail": {},
136 "numberRangeIdentifierType": {},
137 "numberRangeIdentifierValue": "string",
138 "numberRangeType": {},
139 "allowsSystemGenerateNewId": true
140 }
141 ],
142 "numberRangeIdentifierType": {
143 "name": "COMPANY_CODE"
144 },
145 "numberRangeIdentifierValue": "string",
146 "numberRangeType": {
147 "name": "CONTRACT"
148 },
149 "allowsSystemGenerateNewId": true
150 }
151 ],
152 "translations": [
153 {
154 "id": 0,
155 "displayId": "string",
156 "drCr": "DEBIT",
157 "amount": 0,
158 "unroundedAmount": 0,
159 "deltaAdjustment": 0,
160 "translationRate": 0,
161 "translationDateTime": "2019-08-24",
162 "sourceCurrencyId": 0,
163 "sourceCurrencyDisplayId": "string",
164 "targetCurrencyId": 0,
165 "targetCurrencyDisplayId": "string",
166 "sourceCurrencyType": "CONTRACT_CURRENCY",
167 "translationDateType": "DOCUMENT_DATE",
168 "currencyDefinitionType": "CONTRACT_CURRENCY",
169 "depreciationAreaId": 0,
170 "depreciationAreaDisplayId": "string",
171 "unitId": 0,
172 "journalEntryLineId": 0,
173 "taxItemCid": "string",
174 "numberRangeIdentifierType": {
175 "name": "COMPANY_CODE"
176 },
177 "numberRangeIdentifierValue": "string",
178 "numberRangeType": {
179 "name": "CONTRACT"
180 },
181 "allowsSystemGenerateNewId": true
182 }
183 ],
184 "numberRangeIdentifierType": {
185 "name": "COMPANY_CODE"
186 },
187 "numberRangeIdentifierValue": "string",
188 "numberRangeType": {
189 "name": "CONTRACT"
190 },
191 "allowsSystemGenerateNewId": true
192 }
193 ],
194 "numberRangeIdentifierType": {
195 "name": "COMPANY_CODE"
196 },
197 "numberRangeIdentifierValue": "string",
198 "numberRangeType": {
199 "name": "CONTRACT"
200 },
201 "allowsSystemGenerateNewId": true
202 }
203 ],
204 "numberRangeIdentifierType": {
205 "name": "COMPANY_CODE"
206 },
207 "numberRangeIdentifierValue": "string",
208 "numberRangeType": {
209 "name": "CONTRACT"
210 },
211 "allowsSystemGenerateNewId": true
212 }
213}
Get Payment Journal¶
HTTP Request
GET /api/v1/journals/payment/{principalPositionType}/{periodId}/{unitId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
none |
periodId |
path |
integer(int64) |
true |
none |
unitId |
path |
integer(int64) |
true |
none |
paymentDate |
query |
string |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "type": "PAYMENT",
18 "date": {
19 "timing": "START_OF_DAY",
20 "year": 2025,
21 "monthValue": 9,
22 "dayOfMonth": 4,
23 "dayOfWeek": "THURSDAY",
24 "leapYear": false,
25 "dayOfYear": 247,
26 "month": "SEPTEMBER"
27 },
28 "unitId": 0,
29 "periodId": 0,
30 "document": {
31 "id": 0,
32 "displayId": "string",
33 "accountingDocumentId": 0,
34 "lastAccountingDocumentId": 0,
35 "activationGroupId": 0,
36 "accountingStandardId": 0,
37 "unitId": 0,
38 "journalId": 0,
39 "entries": [
40 {
41 "id": 0,
42 "applicationReferenceId": "string",
43 "type": "LIABILITY",
44 "postingTransactionType": "POST",
45 "internalPostingStatus": {
46 "documentNumber": "string",
47 "status": "NA",
48 "postingMessage": "string"
49 },
50 "originalPostingTransactionType": "POST",
51 "originalPostingStatus": "NA"
52 }
53 ],
54 "operationalPostingTaskId": 0,
55 "numberRangeIdentifierType": {
56 "name": "COMPANY_CODE"
57 },
58 "numberRangeIdentifierValue": "string",
59 "numberRangeType": {
60 "name": "CONTRACT"
61 },
62 "allowsSystemGenerateNewId": true
63 },
64 "entries": [
65 {
66 "id": 0,
67 "displayId": "string",
68 "type": "LIABILITY",
69 "translationType": "NONE",
70 "note": "string",
71 "balanced": true,
72 "credits": 0,
73 "debits": 0,
74 "journalId": 0,
75 "lines": [
76 {
77 "id": 0,
78 "displayId": "string",
79 "account": "string",
80 "accountCodeName": "string",
81 "accountCodeCaption": "string",
82 "drCr": "DEBIT",
83 "amount": 0,
84 "unroundedAmount": 0,
85 "deltaAdjustment": 0,
86 "tag": "string",
87 "vendorId": "string",
88 "currencyId": 0,
89 "currencyDisplayId": "string",
90 "currencyDefinitionType": "CONTRACT_CURRENCY",
91 "leaseClassificationType": "NON_LEASE",
92 "journalEntryId": 0,
93 "taxes": [
94 {
95 "id": 0,
96 "displayId": "string",
97 "taxCalculationType": "NET",
98 "taxDetermination": {
99 "id": "string",
100 "displayId": "Euro"
101 },
102 "taxExempt": 0,
103 "taxExemptionPercentage": 0,
104 "taxAffected": 0,
105 "unitId": 0,
106 "termId": 0,
107 "type": "PAYMENT",
108 "journalEntryLineId": 0,
109 "expenseCategory": {
110 "id": 101,
111 "displayId": "EC-2025-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "Lease Payment",
119 "expenseCategoryType": "PAYMENT"
120 },
121 "taxItems": [
122 {
123 "id": 0,
124 "displayId": "string",
125 "account": "string",
126 "accountCodeName": "string",
127 "accountCodeCaption": "string",
128 "drCr": "DEBIT",
129 "amount": 0,
130 "unroundedAmount": 0,
131 "deltaAdjustment": 0,
132 "cid": "string",
133 "journalEntryLineId": 0,
134 "translations": [],
135 "journalTaxDetail": {},
136 "numberRangeIdentifierType": {},
137 "numberRangeIdentifierValue": "string",
138 "numberRangeType": {},
139 "allowsSystemGenerateNewId": true
140 }
141 ],
142 "numberRangeIdentifierType": {
143 "name": "COMPANY_CODE"
144 },
145 "numberRangeIdentifierValue": "string",
146 "numberRangeType": {
147 "name": "CONTRACT"
148 },
149 "allowsSystemGenerateNewId": true
150 }
151 ],
152 "translations": [
153 {
154 "id": 0,
155 "displayId": "string",
156 "drCr": "DEBIT",
157 "amount": 0,
158 "unroundedAmount": 0,
159 "deltaAdjustment": 0,
160 "translationRate": 0,
161 "translationDateTime": "2019-08-24",
162 "sourceCurrencyId": 0,
163 "sourceCurrencyDisplayId": "string",
164 "targetCurrencyId": 0,
165 "targetCurrencyDisplayId": "string",
166 "sourceCurrencyType": "CONTRACT_CURRENCY",
167 "translationDateType": "DOCUMENT_DATE",
168 "currencyDefinitionType": "CONTRACT_CURRENCY",
169 "depreciationAreaId": 0,
170 "depreciationAreaDisplayId": "string",
171 "unitId": 0,
172 "journalEntryLineId": 0,
173 "taxItemCid": "string",
174 "numberRangeIdentifierType": {
175 "name": "COMPANY_CODE"
176 },
177 "numberRangeIdentifierValue": "string",
178 "numberRangeType": {
179 "name": "CONTRACT"
180 },
181 "allowsSystemGenerateNewId": true
182 }
183 ],
184 "numberRangeIdentifierType": {
185 "name": "COMPANY_CODE"
186 },
187 "numberRangeIdentifierValue": "string",
188 "numberRangeType": {
189 "name": "CONTRACT"
190 },
191 "allowsSystemGenerateNewId": true
192 }
193 ],
194 "numberRangeIdentifierType": {
195 "name": "COMPANY_CODE"
196 },
197 "numberRangeIdentifierValue": "string",
198 "numberRangeType": {
199 "name": "CONTRACT"
200 },
201 "allowsSystemGenerateNewId": true
202 }
203 ],
204 "numberRangeIdentifierType": {
205 "name": "COMPANY_CODE"
206 },
207 "numberRangeIdentifierValue": "string",
208 "numberRangeType": {
209 "name": "CONTRACT"
210 },
211 "allowsSystemGenerateNewId": true
212 }
213}